{
  "expo": {
    "name": "Pottery Diary",
    "slug": "pottery-diary",
    "version": "1.0.0",
    "orientation": "portrait",
    "icon": "./assets/icon.png",
    "userInterfaceStyle": "light",
    "newArchEnabled": true,
    "description": "Track every step of your ceramics journey from clay to finished piece",
    "splash": {
      "image": "./assets/splash-icon.png",
      "resizeMode": "contain",
      "backgroundColor": "#ffffff"
    },
    "ios": {
      "supportsTablet": true,
      "bundleIdentifier": "com.timo.potterydiary",
      "infoPlist": {
        "ITSAppUsesNonExemptEncryption": false,
        "NSCameraUsageDescription": "This app needs camera access to take photos of your pottery projects.",
        "NSPhotoLibraryUsageDescription": "This app needs photo library access to save and load photos of your pottery projects.",
        "NSPhotoLibraryAddUsageDescription": "This app needs permission to save photos to your photo library."
      }
    },
    "android": {
      "package": "com.potterydiaryus.app",
      "adaptiveIcon": {
        "foregroundImage": "./assets/adaptive-icon.png",
        "backgroundColor": "#ffffff"
      },
      "edgeToEdgeEnabled": true,
      "predictiveBackGestureEnabled": false,
      "permissions": [
        "android.permission.CAMERA",
        "android.permission.READ_EXTERNAL_STORAGE",
        "android.permission.WRITE_EXTERNAL_STORAGE"
      ]
    },
    "web": {
      "favicon": "./assets/favicon.png"
    },
    "plugins": [
      "expo-sqlite",
      "expo-localization",
      [
        "expo-camera",
        {
          "cameraPermission": "Allow $(PRODUCT_NAME) to access your camera to take photos of your pottery."
        }
      ],
      [
        "expo-image-picker",
        {
          "photosPermission": "Allow $(PRODUCT_NAME) to access your photos."
        }
      ]
    ],
    "extra": {
      "eas": {
        "projectId": "3880d02a-7102-4a7c-98a4-d0c1911efcdc"
      }
    }
  }
}
